Ordner aktualisieren
curl --request PUT \
--url https://app.famulor.de/api/user/folder/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"color": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', color: '<string>'})
};
fetch('https://app.famulor.de/api/user/folder/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/folder/{id}"
payload = {
"name": "<string>",
"color": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/folder/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'color' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/folder/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"color\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Folder updated successfully",
"data": { "id": 12, "name": "Acme Inc.", "color": "pink", "assistants_count": 4 }
}
{ "message": "Folder not found" }
Ordner aktualisieren
Ordner umbenennen oder Farbe ändern
PUT
/
api
/
user
/
folder
/
{id}
Ordner aktualisieren
Aktualisiere den Namen oder die Farbe eines Ordners. Es werden nur die Felder geändert, die du sendest.
Pfad-Parameter
integer
erforderlich
Die Ordner-ID. Muss zu deinem Konto gehören.
Request Body
string
Neuer Name (max. 255 Zeichen). Muss innerhalb deines Kontos eindeutig sein.
string
Neue Farbe. Einer von:
gray, slate, red, orange, amber, green, teal, blue, purple, pink. Sende null, um sie zu entfernen.Antwort
string
Erfolgsmeldung
object
{
"message": "Folder updated successfully",
"data": { "id": 12, "name": "Acme Inc.", "color": "pink", "assistants_count": 4 }
}
{ "message": "Folder not found" }
War diese Seite hilfreich?
⌘I

